---
search:
  tags:
    - Organisations V2
    - POST
seo:
  description: >-
    Bulk-creates organisations. Successful entities are… Reference for the POST
    /api/v2/{team_slug}/{app_slug}/organisations endpoint in the Management API
    v2.
sidebar:
  label: Create organisations
  badge: POST
title: Create organisations
type: openapi-operation
---
Bulk-creates organisations. Successful entities are returned in data; per-item failures in errors keyed by name.

`POST /api/v2/{team_slug}/{app_slug}/organisations`

**Request body** (`application/json`, required)

- `organisations` (CreateOrganisationItem[], required)

Request body example:

```json
{
  "organisations": [
    {
      "name": "string",
      "organisation_number": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "credit_check": true,
      "status": "string",
      "contact_name": "string",
      "email": "string",
      "phone": "string",
      "tax_id_vat_number": "string",
      "external_ref": "string",
      "invoice_email": "string",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "addresses": [
        {
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "comment": "string",
      "customer_group_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ]
    }
  ]
}
```

**Responses**

- `201` — Created (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 201:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "organisation_number": "string",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "credit_check": true,
      "status": "string",
      "contact_name": "string",
      "email": "string",
      "phone": "string",
      "tax_id_vat_number": "string",
      "external_ref": "string",
      "invoice_email": "string",
      "custom_fields": {
        "property1": "string",
        "property2": "string"
      },
      "comment": "string",
      "shipping_address": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "billing_address": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "shipping_type": "string",
          "name": "string",
          "company_name": "string",
          "street_address": "string",
          "co_address": "string",
          "city": "string",
          "state_province": "string",
          "house_number": "string",
          "postal_code": "string",
          "country": "string",
          "phone": "string",
          "is_default": true
        }
      ],
      "customer_group_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "name": "string",
          "status": "string",
          "filterable": true,
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "errors": [
    {
      "name": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}
```
